Bug 5424 - XFree86 writes over /usr/X11R6/bin/X link
Summary: XFree86 writes over /usr/X11R6/bin/X link
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-28 20:43 UTC by d-mueth
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-14 17:30:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d-mueth 1999-09-28 20:43:19 UTC
XFree86 writes over the /usr/X11R6/bin/X link, automatically
changing the default X server.  For users who are not using
XFree86, this creates a lot of confusion.  In my case, I
have autorpm automatically upgrading RH errata, and XFree86
is not configured(I'm using Accel-X), so X suddenly broke.

Solutions?
  1) Could this link only be made on an install (rpm -i)
      and not an upgrade (rpm -U) ?
  2) Could this link only be made if the link does not
      already exist?

I think (2) would be best.  At any rate, it should be smart
enough that if the link exists and points to a non-XFree86
server, it does not write over it.

Comment 1 Preston Brown 2000-01-14 17:30:59 UTC
if accel-X doesn't use Xwrapper, that is their packaging issue, not ours.

Dealing with this special case will be difficult, to say the least, and will
probably result in far more bug reports from people who it may potentially fail
for who use XFree86 rather than Accel-X.  We have to provide the best solution
for the majority.

I'd talk to XIG about this.


Note You need to log in before you can comment on or make changes to this bug.